------------------------------------------------------------------------------------
--Name:  	210426[简体征服][任务脚本]210423[简体征服][任务脚本]Soaring Archers剧情任务
--Creator:	杨艳
--Created:	2021-04-26
------------------------------------------------------------------------------------
--/callluafunc </F>User_PlayPlot</N>8
CppScriptMgr:SetViewPosByCell(191, 265)

-- 设置摄像机指向位置(网格坐标)
local player1 = CppScriptMgr:AddSimplePlayer(10670, 186,264, "EvilDogfaceCorpse")
local player2 = CppScriptMgr:AddSimplePlayer(10670, 191,268, "EvilDogfaceCorpse")
local player3 = CppScriptMgr:AddSimplePlayer(10670, 191,263, "EvilDogfaceCorpse")
local player4 = CppScriptMgr:AddSimplePlayer(10670, 196,261, "EvilDogfaceCorpse")
local player5 = CppScriptMgr:AddSimplePlayer(10670, 196,266, "EvilDogfaceCorpse")
local player6 = CppScriptMgr:AddSimplePlayer(10670, 196,272, "EvilDogfaceCorpse")
-- local player7 = CppScriptMgr:AddSimplePlayer(10670, 201,268, "EvilDogfaceCorpse")
-- local player8 = CppScriptMgr:AddSimplePlayer(10670, 165,179, "甲兵尸体")

CppScriptMgr:WaitMilSec(500)
player1:SetPos(1000,1000)
player2:SetPos(1000,1000)
player3:SetPos(1000,1000)

CppScriptMgr:WaitMilSec(100)
local playerMonster1 = CppScriptMgr:AddPlayer(167,186,264, "EvilDogface")
local playerMonster2 = CppScriptMgr:AddPlayer(167,191,268, "EvilDogface")
local playerMonster3 = CppScriptMgr:AddPlayer(167,191,263, "EvilDogface")
CppScriptMgr:AddEffect("Assassin", 186,264)
CppScriptMgr:AddEffect("Assassin", 191,268)
CppScriptMgr:AddEffect("Assassin", 191,263)
CppScriptMgr:WaitMilSec(500)
CppScriptMgr:AddEffect("Assassin", 186,264)
CppScriptMgr:AddEffect("Assassin", 191,268)
CppScriptMgr:AddEffect("Assassin", 191,263)
CppScriptMgr:WaitMilSec(500)



CppScriptMgr:SetDarkScreen(1000)
CppScriptMgr:WaitMilSec(1000)
player4:SetPos(1000,1000)
player5:SetPos(1000,1000)
player6:SetPos(1000,1000)
-- player7:SetPos(1000,1000)
-- CppScriptMgr:WaitMilSec(500)

local playerMonster4 = CppScriptMgr:AddPlayer(167,196,261, "EvilDogface")
local playerMonster5 = CppScriptMgr:AddPlayer(167,196,266, "EvilDogface")
local playerMonster6 = CppScriptMgr:AddPlayer(167,196,272, "EvilDogface")
-- local playerMonster7 = CppScriptMgr:AddPlayer(167,201,268, "EvilDogface")
CppScriptMgr:AddEffect("Assassin", 186,264)
CppScriptMgr:AddEffect("Assassin", 191,268)
CppScriptMgr:AddEffect("Assassin", 191,263)
CppScriptMgr:AddEffect("Assassin", 196,261)
CppScriptMgr:AddEffect("Assassin", 196,266)
CppScriptMgr:AddEffect("Assassin", 196,272)
-- CppScriptMgr:AddEffect("Assassin", 201,268)
CppScriptMgr:WaitMilSec(1200)
-- CppScriptMgr:AddEffect("Assassin", 187,261)
-- CppScriptMgr:AddEffect("Assassin", 190,269)
-- CppScriptMgr:AddEffect("Assassin", 197,276)
-- CppScriptMgr:AddEffect("Assassin", 196,267)
-- CppScriptMgr:AddEffect("Assassin", 196,261)
-- CppScriptMgr:AddEffect("Assassin", 202,265)
-- CppScriptMgr:AddEffect("Assassin", 201,272)
-- CppScriptMgr:WaitMilSec(500)

playerMonster1:WalkTo(132, 243);
-- playerMonster1:SetCtrlMapView(1)
playerMonster2:WalkTo(132, 243);
playerMonster3:WalkTo(132, 243);
playerMonster4:WalkTo(132, 243);
playerMonster5:WalkTo(132, 243);
playerMonster6:WalkTo(132, 243);
-- playerMonster7:WalkTo(132, 243);


playerMonster1:Say("Master`s will is the meaning of my life!", 2000)
CppScriptMgr:WaitMilSec(2000)
local hero = CppScriptMgr:QueryHero()
local heroname = hero:GetName()
local sex = hero:GetSex()
local touxiang = "NPCBust_npc356961"
if sex == 2 then 
	touxiang = "NPCBust_npc356962"
end
CppScriptMgr:NpcCallOut("    These Evil Soldiers were made into puppets!\n\n\n\n                                     Press ESC to skip the story.", 2000, 1, "NPCBust_bg", "", 320, 570, 400, 580, touxiang, 150, 430, hero:GetName(), 250, 655)
CppScriptMgr:WaitMilSec(500)
playerMonster4:Say("Master`s will is the meaning of my life!", 2000)
CppScriptMgr:WaitMilSec(2000)
local Situyoudie = CppScriptMgr:AddSimplePlayer(10670, 141, 248, "")
CppScriptMgr:SetDarkScreen(2000)
CppScriptMgr:WaitMilSec(1500)
playerMonster1:SetPos(1000,1000)
playerMonster2:SetPos(1000,1000)
playerMonster3:SetPos(1000,1000)
playerMonster4:SetPos(1000,1000)
playerMonster5:SetPos(1000,1000)
playerMonster6:SetPos(1000,1000)
-- playerMonster7:SetPos(1000,1000)
CppScriptMgr:WaitMilSec(500)


CppScriptMgr:SetViewPosByCell(138, 246)


CppScriptMgr:WaitMilSec(500)
Situyoudie:SetPos(1000,1000)
CppScriptMgr:WaitMilSec(500)
local Situyou = CppScriptMgr:AddPlayer(149,141, 248, "PuppetSzeto")
Situyou:SetDir(2)
Situyou:SetZoomPercent(150);
CppScriptMgr:AddEffect("Assassin", 141, 248)
CppScriptMgr:WaitMilSec(500)
CppScriptMgr:AddEffect("Assassin", 141, 248)

Situyou:Say("Master`s will is the meaning of my life!", 2000)
CppScriptMgr:NpcCallOut("    Someone called me wimp? Interesting!\n\n\n\n\n                                     Press ESC to skip the story.", 3000, 1, "NPCBust_bg", "", 320, 570, 400, 580, "NPCBust_npc35674", 150, 430, "Gongsun", 250, 655)
CppScriptMgr:WaitMilSec(500)
CppScriptMgr:AddEffect("Assassin", 141, 248)
CppScriptMgr:WaitMilSec(500)
CppScriptMgr:AddEffect("Assassin", 141, 248)
CppScriptMgr:WaitMilSec(500)
CppScriptMgr:AddEffect("Assassin", 141, 248)
CppScriptMgr:WaitMilSec(500)
CppScriptMgr:AddEffect("Assassin", 141, 248)

CppScriptMgr:NpcCallOut("    Come to have a fight!\n\n\n\n                                     Press ESC to skip the story.", 2000, 1, "NPCBust_bg", "", 320, 570, 400, 580, touxiang, 150, 430, hero:GetName(), 250, 655)
CppScriptMgr:WaitMilSec(500)
CppScriptMgr:AddEffect("Assassin", 141, 248)
CppScriptMgr:WaitMilSec(500)
CppScriptMgr:AddEffect("Assassin", 141, 248)
CppScriptMgr:WaitMilSec(500)
CppScriptMgr:AddEffect("Assassin", 141, 248)
CppScriptMgr:AddEffect("Assassin", 141, 248)

CppScriptMgr:NpcCallOut("    No hurry. I have to thank you for providing so many corpses for me!\n\n\n\n\n                                     Press ESC to skip the story.", 3000, 1, "NPCBust_bg", "", 320, 570, 400, 580, "NPCBust_npc35674", 150, 430, "Gongsun", 250, 655)
CppScriptMgr:WaitMilSec(500)
CppScriptMgr:AddEffect("Assassin", 141, 248)
CppScriptMgr:WaitMilSec(500)
CppScriptMgr:AddEffect("Assassin", 141, 248)
CppScriptMgr:WaitMilSec(500)
CppScriptMgr:AddEffect("Assassin", 141, 248)
CppScriptMgr:WaitMilSec(500)
CppScriptMgr:AddEffect("Assassin", 141, 248)
-- playerMonster1:SetCtrlMapView(0)
CppScriptMgr:NpcCallOut("    What have you done to them?\n\n\n\n                                     Press ESC to skip the story.", 2000, 1, "NPCBust_bg", "", 320, 570, 400, 580, touxiang, 150, 430, hero:GetName(), 250, 655)
CppScriptMgr:WaitMilSec(500)
CppScriptMgr:AddEffect("Assassin", 141, 248)
CppScriptMgr:WaitMilSec(500)
CppScriptMgr:AddEffect("Assassin", 141, 248)
CppScriptMgr:WaitMilSec(500)
CppScriptMgr:AddEffect("Assassin", 141, 248)
CppScriptMgr:WaitMilSec(500)
CppScriptMgr:AddEffect("Assassin", 141, 248)
Situyou:Say("Master`s will is the meaning of my life!", 2000)

CppScriptMgr:NpcCallOut("    Shh! Let`s wait and see! See you!\n\n\n\n\n                                     Press ESC to skip the story.", 3000, 1, "NPCBust_bg", "", 320, 570, 400, 580, "NPCBust_npc35674", 150, 430, "Gongsun", 250, 655)
CppScriptMgr:WaitMilSec(500)
CppScriptMgr:AddEffect("Assassin", 141, 248)
CppScriptMgr:WaitMilSec(500)
CppScriptMgr:AddEffect("Assassin", 141, 248)
CppScriptMgr:WaitMilSec(500)
CppScriptMgr:AddEffect("Assassin", 141, 248)
CppScriptMgr:WaitMilSec(500)

CppScriptMgr:SetDarkScreen(2000)
CppScriptMgr:WaitMilSec(500)
CppScriptMgr:AddEffect("Assassin", 141, 248)
CppScriptMgr:WaitMilSec(500)
CppScriptMgr:AddEffect("Assassin", 141, 248)



